/**
 * Copyright (c) 2016-2020 人人开源 All rights reserved.
 * <p>
 *
 * <p>
 *
 */

package com.roo.feign.fallback;

import com.roo.commons.tools.utils.Result;
import feign.hystrix.FallbackFactory;
import com.roo.commons.security.user.UserDetail;
import com.roo.feign.UserFeignClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 用户接口 FallbackFactory
 *
 * @author Mark sunlightcs@gmail.com
 */
@Slf4j
@Component
public class UserFeignClientFallbackFactory implements FallbackFactory<UserFeignClient> {
    @Override
    public UserFeignClient create(Throwable throwable) {
        log.error("{}", throwable);

        return new UserFeignClient() {
            @Override
            public Result<UserDetail> getById(Long id) {
                return new Result<>();
            }

            @Override
            public Result<List<Long>> getRoleIdList(Long userId) {
                return new Result<>();
            }
        };
    }
}
